mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Code groups are the building blocks of code access security policy. Each policy level consists of a root code group that can have child code groups. Each child code group can have their own child code groups; this behavior extends to any number of levels, forming a tree. Each code group has a membership condition that determines if a given assembly belongs to it based on the evidence for that assembly.

Only those code groups whose membership conditions match a given assembly's evidence will be applied. If a matching code group has child code groups, then those children whose membership conditions also match the supplied evidence will likewise be applied.

Represents the abstract base class from which all implementations of code groups must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor creates a basic code group and should be called from the constructors of custom code groups. You can add child code groups using the method.

  Initializes a new instance of .

  A membership condition that tests evidence to determine whether this code group applies policy.
  The policy statement for the code group in the form of a permission set and attributes to grant code that matches the membership condition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds a child code group to the current code group.

  The code group to be added as a child. This new child code group is added to the end of the list.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The string representation is not localized.

  Gets a string representation of the attributes of the policy statement for the code group.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IList To be added.

  The order of child code groups is significant for certain code groups.

  The return value is a copy of the child code list. Do not use the returned list to add a child code group; instead, use the method.

  Gets or sets an ordered list of the child code groups of a code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup

  This method makes a deep copy of the code group, so that copies of all objects the code group contains are also made.

  When overridden in a derived class, makes a deep copy of the current code group.

  An equivalent copy of the current code group, including its membership conditions and child code groups.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  cannot be overridden. If you need to serialize members specific to a particular implementation of , you must override and serialize your members there. When the code group is serialized, calls and adds your serialization to the created by .

  The XML created using this method is deserialized by the method.

  When overridden in a derived class, serializes properties and internal state specific to a derived code group and adds the serialization to the specified .

  The XML encoding to which to add the serialization. The policy level within which the code group exists.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the description of the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two code groups are equivalent if they have the same , , and .

  This method tests the top-level code group only, not its child code groups.

  Determines whether the specified code group is equivalent to the current code group.

  true if the specified code group is equivalent to the current code group; otherwise, false.

  The code group to compare with the current code group.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Two code groups are equivalent if they have the same , , and .

  If the parameter is true, this method will only return true if the current code group and all its child code groups are equivalent to the specified code group and all its child code groups.

  Determines whether the specified code group is equivalent to the current code group, checking the child code groups as well, if specified.

  true if the specified code group is equivalent to the current code group; otherwise, false.

  The code group to compare with the current code group. true to compare child code groups, as well; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a given state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The policy level context is provided for resolution of named permission sets.

  Reconstructs a security object with a given state and policy level from an XML encoding.

  The XML encoding to use to reconstruct the security object. The policy level within which the code group exists.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current code group.

  The hash code of the current code group.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added.

  A membership condition tests evidence and returns a Boolean value that tells whether there is a match.

  Gets or sets the code group's membership condition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  When overridden in a derived class, gets the merge logic for the code group.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the name of the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  cannot be overridden. If you need to deserialize members specific to a particular implementation of , you must override and deserialize your members there. When the code group is deserialized, calls and reconstructs your members from the .

  This method deserializes XML created using .

  When overridden in a derived class, reconstructs properties and internal state specific to a derived code group from the specified .

  The XML encoding to use to reconstruct the security object. The policy level within which the code group exists.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  This property can be null if the code group contains an unnamed permission set.

  Gets the name of the named permission set for the code group.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement To be added.

  The policy statement applies to code in assemblies when evidence matches the membership condition.

  This property can also be set by passing a policy statement to the constructor.

  Gets or sets the policy statement associated with the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Only immediate child code groups can be removed with this method.

  Removes the specified child code group.

  The code group to be removed as a child.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement ``

  Given evidence for an assembly to be loaded, this method evaluates the code group by checking the membership condition against the specified evidence. If there is a match, this method returns a policy statement for the code group, including evaluation of child code groups.

  For a , all child code groups whose membership condition match the specified evidence are also resolved, and all resulting policy statements are combined with the policy statement of the parent union code group. Each child code group type determines how all child groups under it are applied, depending on how the methods of these child groups work.

  The .NET Framework security system uses on the policy levels to determine which permissions to grant to loaded code from the resulting policy statements and the code request on the assembly.

  When overridden in a derived class, resolves policy for the code group and its descendants for a set of evidence.

  A policy statement that consists of the permissions granted by the code group with optional attributes, or null if the code group does not apply (the membership condition does not match the specified evidence).

  The evidence for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup ``

  This method has the same evaluation characteristics as . The code group that is returned contains child code groups, which in turn can have child code groups as necessary to reflect the complete set of code groups that were matched by the evidence provided.

  When overridden in a derived class, resolves matching code groups.

  A that is the root of the tree of matching code groups.

  The evidence for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement ``

  The policy level context is provided for resolution of named permission sets.

  Creates an XML encoding of the security object, its current state, and the policy level within which the code exists.

  An XML encoding of the security object, including any state information.

  The policy level within which the code group exists.